---
title: XMLHttpRequestEventTarget
slug: Web/API/XMLHttpRequestEventTarget
tags:
  - AJAX
  - API
  - NeedsBrowserCompatibility
  - NeedsContent
  - Reference
  - XMLHttpRequest
---
<p>{{APIRef("XMLHttpRequest")}}</p>

<p><code>XMLHttpRequestEventTarget</code> is the interface that describes the event handlers you can implement in an object that will handle events for an {{ domxref("XMLHttpRequest") }}.</p>

<p>{{InheritanceDiagram}}</p>

<h2 id="Properties">Properties</h2>

<dl>
	<dt>{{ domxref("XMLHttpRequestEventTarget.onabort") }}</dt>
	<dd>Contains the function to call when a request is aborted and the {{event('abort')}} event is received by this object.</dd>
	<dt>{{ domxref("XMLHttpRequestEventTarget.onerror") }}</dt>
	<dd>Contains the function to call when a request encounters an error and the {{event('error')}} event is received by this object.</dd>
	<dt>{{ domxref("XMLHttpRequestEventTarget.onload") }}</dt>
	<dd>Contains the function to call when an HTTP request returns after successfully fetching content and the {{event('load')}} event is received by this object.</dd>
	<dt>{{ domxref("XMLHttpRequestEventTarget.onloadstart") }}</dt>
	<dd>Contains the function that gets called when the HTTP request first begins loading data and the {{event('loadstart')}} event is received by this object.</dd>
	<dt>{{ domxref("XMLHttpRequestEventTarget.onprogress") }}</dt>
	<dd>Contains the function that is called periodically with information about the progress of the request and the {{event('progress')}} event is received by this object.</dd>
	<dt>{{ domxref("XMLHttpRequestEventTarget.ontimeout") }}</dt>
	<dd>Contains the function that is called if the event times out and the {{event("timeout")}} event is received by this object; this only happens if a timeout has been previously established by setting the value of the <code>XMLHttpRequest</code> object's <code>timeout</code> attribute.</dd>
	<dt>{{ domxref("XMLHttpRequestEventTarget.onloadend") }}</dt>
	<dd>Contains the function that is called when the load is completed, even if the request failed, and the {{event('loadend')}} event is received by this object.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('XMLHttpRequest')}}</td>
			<td>{{Spec2('XMLHttpRequest')}}</td>
			<td>WHATWG living standard</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XMLHttpRequestEventTarget")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{ domxref("XMLHttpRequest") }}</li>
	<li><a href="/en/DOM/XMLHttpRequest/Using_XMLHttpRequest" title="Using XMLHttpRequest">Using XMLHttpRequest</a></li>
</ul>
